import { flags } from "@salesforce/command";
import { AnyJson } from "@salesforce/ts-types";
import SFPowerkitCommand from "../../../../sfpowerkitCommand";
export default class Build extends SFPowerkitCommand {
    static description: string;
    static examples: string[];
    static args: {
        name: string;
    }[];
    protected static flagsConfig: {
        quickfilter: flags.Discriminated<flags.String>;
        excludefilter: flags.Discriminated<flags.String>;
        includefilter: flags.Discriminated<flags.String>;
        excludemanaged: flags.Discriminated<flags.Boolean<boolean>>;
        includechilds: flags.Discriminated<flags.Boolean<boolean>>;
        outputfile: flags.Discriminated<flags.String>;
    };
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    execute(): Promise<AnyJson>;
}
