import { flags } from "@salesforce/command";
import { AnyJson } from "@salesforce/ts-types";
import SFPowerkitCommand from "../../../../sfpowerkitCommand";
import { Connection } from "jsforce";
export default class Create extends SFPowerkitCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        name: flags.Discriminated<flags.String>;
        description: flags.Discriminated<flags.String>;
        licensetype: flags.Discriminated<flags.String>;
        apexclass: flags.Discriminated<flags.String>;
        clonefrom: flags.Discriminated<flags.String>;
    };
    protected static requiresDevhubUsername: boolean;
    execute(): Promise<AnyJson>;
    getSandboxId(conn: Connection, name: string): Promise<any>;
}
