import { flags } from "@salesforce/command";
import { AnyJson } from "@salesforce/ts-types";
import SFPowerkitCommand from "../../../sfpowerkitCommand";
export default class List extends SFPowerkitCommand {
    static description: string;
    protected static requiresDevhubUsername: boolean;
    static examples: string[];
    protected static flagsConfig: {
        tag: flags.Discriminated<flags.String>;
        mypool: flags.Discriminated<flags.Boolean<boolean>>;
        allscratchorgs: flags.Discriminated<flags.Boolean<boolean>>;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    execute(): Promise<AnyJson>;
    private logTagCount;
}
