import { AnyJson } from "@salesforce/ts-types";
import { flags } from "@salesforce/command";
import SFPowerkitCommand from "../../../../sfpowerkitCommand";
export default class Generatepatch extends SFPowerkitCommand {
    protected static requiresProject: boolean;
    private folderPath;
    static description: string;
    static examples: string[];
    protected static flagsConfig: {
        package: flags.Discriminated<flags.String>;
        loglevel: flags.Discriminated<flags.Enum<string>>;
    };
    execute(): Promise<AnyJson>;
    private generatePatchForCustomPicklistField;
    private generatePatchForRecordTypes;
    private generateStaticResource;
}
